import { Meta, Story, Canvas } from '@storybook/addon-docs/blocks';
import { boolean } from '@storybook/addon-knobs';

import FormattedMessageChildren from './FormattedMessageChildren';

<Meta title="Generic/Intl/FormattedMessageChildren" component={FormattedMessageChildren} />

# FormattedMessageChildren

A component with the same API as `react-intl`'s `FormattedMessage`, but passing the translation to a function passed as children.

This is useful when passing a translated string to a `placeholder` prop which does not accept a component.

## Example

<Canvas withSource="open">
  <Story name="example">
    <FormattedMessageChildren id="global.search" defaultMessage="Search...">
      { message => (
        <input placeholder={message} />
      )}
    </FormattedMessageChildren>
  </Story>
</Canvas>
